package de.beagtex.listener.insert;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import de.beagtex.gui.Editor;

/**
 * Listener for inserting the LaTex-command for Captions above the graphics
 * 
 * @author Benjamin Haag
 * 
 * 
 */
public class CaptionAboveListener implements ActionListener {

	private Editor editor;

	/**
	 * Coonstructor
	 * 
	 * @param editor:
	 *            the calling editor
	 */
	public CaptionAboveListener(Editor editor) {
		this.editor = editor;

	}

	public void actionPerformed(ActionEvent arg0) {

		editor.insert("\\captionabove{}", editor.getCaretPosition());
		editor.requestFocus();
		editor.setCaretPosition(editor.getCaretPosition() - 1);
	}

}
